summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Klaatu2020-01-16 17:05:57 +0100
committer Willy Sudiarto Raharjo2020-01-16 17:05:57 +0100
commit89214250777712edfbb0bdf841dda838b3c2387d (patch)
tree46e7d07dc1d2d5afa4d7b5c668e0c11920307a2c /graphics
parentaebd921950b034c144da10c237a2113e1f038aae (diff)
downloadslackbuilds-89214250777712edfbb0bdf841dda838b3c2387d.tar.gz
graphics/icc_profiles: Added (Rec709 and ITU color management).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/icc_profiles/README5
-rw-r--r--graphics/icc_profiles/icc_profiles.SlackBuild47
-rw-r--r--graphics/icc_profiles/icc_profiles.info10
-rw-r--r--graphics/icc_profiles/slack-desc19
4 files changed, 81 insertions, 0 deletions
diff --git a/graphics/icc_profiles/README b/graphics/icc_profiles/README
new file mode 100644
index 0000000000..d6f090ab2f
--- /dev/null
+++ b/graphics/icc_profiles/README
@@ -0,0 +1,5 @@
+Installs the Rec709 and related ICC Profiles as defined by the ITU
+spec located at https://www.itu.int/rec/R-REC-BT.709-6-201506-I/en
+
+This script installs Creative Commons BY-SA implementations of the ICC
+profiles to /usr/share/color/icc/ITU
diff --git a/graphics/icc_profiles/icc_profiles.SlackBuild b/graphics/icc_profiles/icc_profiles.SlackBuild
new file mode 100644
index 0000000000..bba13c8fd9
--- /dev/null
+++ b/graphics/icc_profiles/icc_profiles.SlackBuild
@@ -0,0 +1,47 @@
+#!/bin/sh
+# Slackware build script for Rec709 and related ITU color profiles
+
+# Copyright 2019 Klaatu | Lawrence, NZ | klaatu@member.fsf.org
+# GNU All-Permissive License
+# Copying and distribution of this file, with or without modification,
+# are permitted in any medium without royalty provided the copyright
+# notice and this notice are preserved. This file is offered as-is,
+# without any warranty.
+
+PRGNAM=icc_profiles
+SRCNAM="ICC Profiles - hbrendel.com"
+UNION=ITU
+
+VERSION=${VERSION:-2019}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+
+unzip $CWD/$PRGNAM.zip
+
+install -d $PKG/usr/share/color/icc/$UNION
+install -m644 "${SRCNAM}"/*.icc \
+ $PKG/usr/share/color/icc/$UNION
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/legalcode.txt > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/icc_profiles/icc_profiles.info b/graphics/icc_profiles/icc_profiles.info
new file mode 100644
index 0000000000..bd93ac6e0e
--- /dev/null
+++ b/graphics/icc_profiles/icc_profiles.info
@@ -0,0 +1,10 @@
+PRGNAM="icc_profiles"
+VERSION="2019"
+HOMEPAGE="http://www.color.support"
+DOWNLOAD="http://color.support/files/icc_profiles.zip"
+MD5SUM="b978c75649dd89b3c8c60da2d2ea3c7b"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Klaatu"
+EMAIL="klaatu@member.fsf.org"
diff --git a/graphics/icc_profiles/slack-desc b/graphics/icc_profiles/slack-desc
new file mode 100644
index 0000000000..611bc3e0eb
--- /dev/null
+++ b/graphics/icc_profiles/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+icc_profiles: icc_profiles (Rec709 and ITU profiles for color management workflows)
+icc_profiles:
+icc_profiles: ICC Profiles help maintain consistent color across different media
+icc_profiles: and applications. This installs the Rec709 and related profiles
+icc_profiles: as defined by ITU, used in high-definition (HD) video production.
+icc_profiles:
+icc_profiles: The color profiles installed are CC-BY-SA implementations of the
+icc_profiles: ITU specifications.
+icc_profiles:
+icc_profiles: https://www.itu.int/rec/R-REC-BT.709-6-201506-I/en
+icc_profiles: http://color.support/iccprofiles.html